My Project: Brush Class Reference

My Project

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
Brush Class Reference

`#include <brush.h>`

## Public Member Functions

| Brush ()
Brush * | Copy ()
void | FreeBrush ()
void | BrushColor (float r, float g, float b)
void | BrushAlpha (float a)
void | BrushShininess (float s)
void | BrushTexture (Texture *texture, int frame=0, int index=0)
void | BrushBlend (int blend_no)
void | BrushFX (int fx_no)
Texture * | GetBrushTexture (int index=0)

## Static Public Member Functions

static Brush * | CreateBrush (float r=255.0, float g=255.0, float b=255.0)
static Brush * | LoadBrush (string file, int flags=1, float u_scale=1.0, float v_scale=1.0)
static int | CompareBrushes (Brush *brush1, Brush *brush2)

## Public Attributes

int | no_texs
string | name
float | red
float | green
float | blue
float | alpha
float | shine
int | blend
int | fx
unsigned int | cache_frame [8]
Texture * | tex [8]
int | glBlendFunc [2]

## Constructor & Destructor Documentation

## § Brush()

Brush::Brush | ( |  | ) |

inline

## Member Function Documentation

## § BrushAlpha()

void Brush::BrushAlpha | ( | float | a | ) |

## § BrushBlend()

void Brush::BrushBlend | ( | int | blend_no | ) |

## § BrushColor()

void Brush::BrushColor | ( | float | r,
|  | float | g,
|  | float | b
| ) |  |

## § BrushFX()

void Brush::BrushFX | ( | int | fx_no | ) |

## § BrushShininess()

void Brush::BrushShininess | ( | float | s | ) |

## § BrushTexture()

void Brush::BrushTexture | ( | Texture * | texture,
|  | int | frame = `0`,
|  | int | index = `0`
| ) |  |

## § CompareBrushes()

int Brush::CompareBrushes | ( | Brush * | brush1,
|  | Brush * | brush2
| ) |  |

static

## § Copy()

Brush * Brush::Copy | ( |  | ) |

## § CreateBrush()

Brush * Brush::CreateBrush | ( | float | r = `255.0`,
|  | float | g = `255.0`,
|  | float | b = `255.0`
| ) |  |

static

## § FreeBrush()

void Brush::FreeBrush | ( |  | ) |

## § GetBrushTexture()

Texture * Brush::GetBrushTexture | ( | int | index = `0` | ) |

## § LoadBrush()

Brush * Brush::LoadBrush | ( | string | file,
|  | int | flags = `1`,
|  | float | u_scale = `1.0`,
|  | float | v_scale = `1.0`
| ) |  |

static

## Member Data Documentation

## § alpha

float Brush::alpha

## § blend

int Brush::blend

## § blue

float Brush::blue

## § cache_frame

unsigned int Brush::cache_frame[8]

## § fx

int Brush::fx

## § glBlendFunc

int Brush::glBlendFunc[2]

## § green

float Brush::green

## § name

string Brush::name

## § no_texs

int Brush::no_texs

## § red

float Brush::red

## § shine

float Brush::shine

## § tex

Texture* Brush::tex[8]

The documentation for this class was generated from the following files:

- openb3dlib.mod/openb3d/src/brush.h
- openb3dlib.mod/openb3d/src/brush.cpp